[arch-commits] Commit in (5 files)

Ionut Biru ibiru at archlinux.org
Tue Nov 3 15:06:51 UTC 2009


    Date: Tuesday, November 3, 2009 @ 10:06:51
  Author: ibiru
Revision: 58032

moved in extra

Added:
  empathy/
  empathy/repos/
  empathy/trunk/
  empathy/trunk/PKGBUILD
  empathy/trunk/empathy.install

-----------------+
 PKGBUILD        |   41 +++++++++++++++++++++++++++++++++++++++++
 empathy.install |   29 +++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

Added: empathy/trunk/PKGBUILD
===================================================================
--- empathy/trunk/PKGBUILD	                        (rev 0)
+++ empathy/trunk/PKGBUILD	2009-11-03 15:06:51 UTC (rev 58032)
@@ -0,0 +1,41 @@
+# $Id$
+# Maintainer: Biru Ionut <ionut at archlinux.ro>
+pkgname=empathy
+pkgver=2.28.1.1
+pkgrel=2
+pkgdesc="A GNOME instant messaging client using the Telepathy framework."
+arch=('i686' 'x86_64')
+url="http://live.gnome.org/Empathy"
+license=('GPL2')
+depends=('iso-codes' 'gnome-panel>=2.28.0' 'telepathy-mission-control>=5.3.1' 'telepathy-farsight>=0.0.11'
+         'libcanberra' 'libnotify' 'libunique>=1.1.2' 'libwebkit>=1.1.15.1')
+makedepends=('pkgconfig' 'intltool' 'gnome-doc-utils>=0.18.0')
+optdepends=('telepathy-gabble: XMPP/Jabber support'
+            'telepathy-butterfly: MSN support'
+            'telepathy-idle: IRC support'
+            'telepathy-salut: Link-local XMPP support'
+            'telepathy-sofiasip: SIP support'
+            'telepathy-haze: libpurple support')
+options=('!libtool')
+groups=('gnome-extra')
+install=empathy.install
+source=(http://ftp.gnome.org/pub/GNOME/sources/$pkgname/2.28/$pkgname-$pkgver.tar.gz)
+
+build() {
+    # Build and install
+    cd $srcdir/$pkgname-$pkgver
+
+    ./configure --prefix=/usr \
+    	--sysconfdir=/etc  \
+        --libexecdir=/usr/lib/empathy \
+	--enable-shave
+    make || return 1
+    make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=$pkgdir install || return 1 
+
+    # Merge schemas file in a single file and remove trash
+    mkdir -p $pkgdir/usr/share/gconf/schemas
+    gconf-merge-schema $pkgdir/usr/share/gconf/schemas/$pkgname.schemas \
+        $pkgdir/etc/gconf/schemas/*.schemas
+    rm -rf $pkgdir/etc/gconf
+}
+md5sums=('a3c24e5109f80040eec6973ab5bce084')


Property changes on: empathy/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: empathy/trunk/empathy.install
===================================================================
--- empathy/trunk/empathy.install	                        (rev 0)
+++ empathy/trunk/empathy.install	2009-11-03 15:06:51 UTC (rev 58032)
@@ -0,0 +1,29 @@
+pkgname=empathy
+
+post_install() {
+  usr/sbin/gconfpkg --install ${pkgname}
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+  cat << EOF
+> To use Empathy you need to install at least one Telepathy connection 
+manager.
+>
+EOF
+}
+
+pre_upgrade() {
+  pre_remove $1
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  usr/sbin/gconfpkg --uninstall ${pkgname}
+}
+
+post_remove() {
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}




More information about the arch-commits mailing list